import { type DisplayUnit } from '../unit_util';
export type ProjectSettings = {
    displayUnits: DisplayUnit;
};
export declare class SettingsController {
    private projectId;
    private projectSettings;
    private db?;
    private locale;
    constructor(params: {
        locale?: string;
        projectId: number;
    });
    private onDatabaseOpened;
    private loadSettings;
    private updateProjectSettings;
    private needsUpdating;
    SetValue(key: string, value: number): void;
    getSettings(): ProjectSettings;
}
